# Kaminsky Model Repair - TIME_TO_REQUEST = 2 - Non linear programming 
# Model Repair Problem --> P=? [F cache_poisoned] < 0.05
##############################################################################

# Definition of the variables with bounds
var query_port, >= 65536, <= (65536 * 65536);

# objective function
minimize obj:
  query_port^2;  

# and the constraints
subject to c1:
(+14000007000000000*query_port +204750000000000000000) / (+444444888889*query_port^2 +20000010000000000*query_port +225000000000000000000) <= 0.05;
  
# Now we set the starting point:
let query_port := 65536;

